Gateway (Template)
13 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGatewayInfo | GET | Get gateway template info |
| modifyConfigAdvancedTemplate | PUT | Modify gateway template advanced config |
| modifyConfigCommonAdvancedTemplate | PUT | Modify gateway template common advanced config |
| modifyConfigWirelessAdvancedTemplate | PUT | Modify gateway template wireless advanced config |
| modifyConfigGeneralTemplate | PUT | Modify gateway template general config |
| modifyConfigRadiosTemplate | PUT | Modify gateway template radios config |
| modifyConfigServicesTemplate | PUT | Modify gateway template services config |
| modifyConfigWlansTemplate | PUT | Modify gateway template wlans config |
| getSsidDetailTemplate_1 | GET | Get SSID detail info |
| modifySsidBasicConfigTemplate | PATCH | modify SSID basic config |
| modifySsidMacFilterConfigTemplate | PATCH | Update SSID mac filter config |
| modifyPortConfig | PATCH | Modify gateway template port config |
| getPortsTemplate | GET | Get gateway template port info |
getGatewayInfo
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}
Get gateway template info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getGatewayInfo",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get gateway template info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.
modifyConfigAdvancedTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced
Modify gateway template advanced config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hwOffloadEnable | boolean | no | Hardware Offload enabled or not. |
lldpEnable | boolean | no | LLDP enabled or not. Deprecated, filed lldpSetting is recommended |
lldpSetting | integer | no | LLDP setting. 0: Off, 1: On, 2: Follow site. |
poeSettings | array<OsgPortPoeOpenApiVO> | no | Port Poe setting list. |
echoServer | string | no | Echo Server should be a domain name or IP address. |
lbSetting2g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g1 | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g2 | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting6g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
rssiSetting2g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g1 | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g2 | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting6g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
qosSetting2g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g1 | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g2 | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting6g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
ofdmaEnable2g | boolean | no | Enable or disable OFDMA of 2.4 GHz. |
ofdmaEnable5g | boolean | no | Enable or disable OFDMA of 5 GHz. |
ofdmaEnable5g1 | boolean | no | Enable or disable OFDMA of 5 GHz-1. |
ofdmaEnable5g2 | boolean | no | Enable or disable OFDMA of 5 GHz-2. |
ofdmaEnable6g | boolean | no | Enable or disable OFDMA of 6 GHz. |
// omada_call_operation
{
"operationId": "modifyConfigAdvancedTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigCommonAdvancedTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/common
Modify gateway template common advanced config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigCommonAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hwOffloadEnable | boolean | no | |
lldpEnable | boolean | no | Deprecated, filed lldpSetting is recommended |
lldpSetting | integer | no | |
poeSettings | array<OsgPortPoeVO> | no | |
echoServer | string | no |
// omada_call_operation
{
"operationId": "modifyConfigCommonAdvancedTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template common advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigWirelessAdvancedTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/wireless
Modify gateway template wireless advanced config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigWirelessAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
lbSetting2g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g1 | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g2 | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting6g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
rssiSetting2g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g1 | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g2 | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting6g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
qosSetting2g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g1 | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g2 | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting6g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
ofdmaEnable2g | boolean | no | |
ofdmaEnable5g | boolean | no | |
ofdmaEnable5g1 | boolean | no | |
ofdmaEnable5g2 | boolean | no | |
ofdmaEnable6g | boolean | no |
// omada_call_operation
{
"operationId": "modifyConfigWirelessAdvancedTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template wireless advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigGeneralTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/general
Modify gateway template general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgGeneralConfigOpenApiV2VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. This subsection is deprecated. |
ledSetting | integer | yes | Led setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
tagIds | array<string> | no | Tag IDs. This subsection is deprecated. |
location | DeviceLocationDetailOpenApiVO | no | (DeviceLocationDetailOpenApiVO not expanded; call omada_get_schema "DeviceLocationDetailOpenApiVO") |
snmp | OsgSnmpOpenApiVO | no | (OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO") |
rememberDevice | integer | no |
// omada_call_operation
{
"operationId": "modifyConfigGeneralTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template general config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigRadiosTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/radios
Modify gateway template radios config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigRadiosopenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
radioSetting2g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g1 | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g2 | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting6g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
// omada_call_operation
{
"operationId": "modifyConfigRadiosTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template radios config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigServicesTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/services
Modify gateway template services config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigServicesOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
snmp | OsgSnmpOpenApiVO | no | (OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyConfigServicesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template services config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
modifyConfigWlansTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans
Modify gateway template wlans config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OsgConfigWlansOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wlanId | string | no | WLAN ID |
ssidOverrides | array<OsgSsidOverrideOpenApiVO> | yes | Overrided SSID List |
wlansResource | integer | no | Wlans Resource |
// omada_call_operation
{
"operationId": "modifyConfigWlansTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template wlans config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33221 - The SSID to be edited does not exist.
-33222 - The SSID should contain 1-32 characters.
-33223 - The security key can only contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.
-33231 - The ssid' s name should not be the same with emergency ssid.
-39306 - This WLAN group does not exist.
-39307 - Failed to add this AP to the WLAN group because this AP is not in the site of the WLAN group.
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.
getSsidDetailTemplate_1
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid
Get SSID detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getSsidDetailTemplate_1",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get SSID detail info
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-39501 - This gateway does not exist.
modifySsidBasicConfigTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid/{ssidId}/basic-config
modify SSID basic config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
ssidId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema UpdateSsidBasicConfigForIpptOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
autoWanAccess | boolean | no | Whether to enable auto wan access. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
oweEnable | boolean | no | Opportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
pskSetting | SsidPskSettingForIpptOpenApiVO | no | (SsidPskSettingForIpptOpenApiVO not expanded; call omada_get_schema "SsidPskSettingForIpptOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySsidBasicConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
modify SSID basic config
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
modifySsidMacFilterConfigTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid/{ssidId}/mac-filter
Update SSID mac filter config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
ssidId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macFilterEnable | boolean | yes | SSID MAC Filter global config status. True: enable, false: disable. |
policy | integer | no | SSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List. |
macFilterId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
ouiProfileIdList | array<string> | no | This field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only). |
// omada_call_operation
{
"operationId": "modifySsidMacFilterConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID MAC filter config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
modifyPortConfig
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/ports/{port}/config
Modify gateway template port config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Gateway port number |
Request body — application/json (required) — schema GatewayTemplatePortSettingConfig
| Field | Type | Required | Description |
|---|---|---|---|
linkSpeed | integer | no | Port link speed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G |
duplex | integer | no | Port duplex mode should be a value as follows: 0: Auto; 1: Half; 2: Full |
mirrorEnable | boolean | no | Port enabled mirror or not |
mirroredPorts | array<integer> | no | Mirrored Ports Set |
mirrorMode | integer | no | Port mirror mode should be a value as follow: 0: ingress; 1: egress; 2: ingress and egress. |
pvid | integer | no | Pvid(only for lan port.) |
flowControl | boolean | no | Enable flow control or not.(When the port supports flow control.) |
status | integer | no | Enable port or not, status should be a value as follows: 0: disable; 1: enable.(When the port supports status.) |
poeMode | integer | no | Enter a value as follows: 0: off; 1: 802.3at/af. |
dslSettings | DslSettings | no | (DslSettings not expanded; call omada_get_schema "DslSettings") |
tagSet | array<string> | no | Tag ID Set |
// omada_call_operation
{
"operationId": "modifyPortConfig",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway template port config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.
getPortsTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/ports/config
Get gateway template port info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getPortsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get gateway template port info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.